#include <stdio.h>
#include <net/kpi_interfacefilter.h>

/*iflt_detach

void iflt_detach(
    interface_filter_t filter_ref);  
Parameters
filter_ref
A reference to the filter as returned by iflt_attach.
Discussion 

Detaches an interface filter from an interface.*/
void iflt_detach(
    interface_filter_t filter_ref){
printf ("iflt_detach",filter_ref);
};  

/*iflt_attach

errno_t iflt_attach(
    ifnet_t interface,
    const struct iff_filter*filter, 
    interface_filter_t *filter_ref);  
Parameters
interface
The interface the filter should be attached to.
filter
A structure defining the filter.
filter_ref
A parameter through which a reference to the attached filter instance is returned.
Return Value

0 on success otherwise the errno error. 
Discussion 

Attaches an interface filter to an interface.*/
errno_t iflt_attach(
    ifnet_t interface,
    const struct iff_filter*filter, 
    interface_filter_t *filter_ref){
printf ("iflt_attach",interface,*filter,*filter_ref);
};  



